GStreamer RTSP Server: Denial of service

2020-09-13T00:00:00
ID GLSA-202009-05
Type gentoo
Reporter Gentoo Foundation
Modified 2020-09-13T00:00:00

Description

Background

RTSP server library based on GStreamer.

Description

It was discovered that GStreamer RTSP Server did not properly handle authentication.

Impact

A remote attacker, by sending specially crafted authentication requests, could possibly cause a Denial of Service condition.

Workaround

There is no known workaround at this time.

Resolution

All GStreamer RTSP Server users should upgrade to the latest version:

 # emerge --sync
 # emerge --ask --oneshot --verbose
 ">=media-libs/gst-rtsp-server-1.16.2"